LogoopenSUSE Build Service > Projects
Sign Up | Log In

View File libmygpo-qt.spec of Package libmygpo-qt (Project KDE:Distro:Factory)

#
# spec file for package libmygpo-qt
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libmygpo-qt
Version:        1.0.6
Release:        0
Summary:        Qt Library that wraps the gpodder.net Web API
License:        LGPL-2.1+
Group:          Development/Libraries/C and C++
Url:            http://wiki.gpodder.org/wiki/Libmygpo-qt
Source0:        http://stefan.derkits.at/files/libmygpo-qt/%{name}.%{version}.tar.gz
BuildRequires:  automoc4
BuildRequires:  cmake
BuildRequires:  kde4-filesystem
BuildRequires:  libqjson-devel
BuildRequires:  libqt4-devel

BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
libmygpo-qt is a Qt Library that wraps the gpodder.net Web API (http://wiki.gpodder.org/wiki/Web_Services/API_2)

v1.0 wraps nearly every Request from the gpodder.net API except:
- Simple API Calls Downloading subscription Lists & Uploading subscription Lists
- Retrieving Subscription Changes (you should use "Retrieving Updates for a given Device" instead)

%package -n libmygpo-qt1
Summary:        Qt Library that wraps the gpodder.net Web API
Group:          Development/Libraries/C and C++
Url:            http://wiki.gpodder.org/wiki/Libmygpo-qt

%description -n libmygpo-qt1
libmygpo-qt is a Qt Library that wraps the gpodder.net Web API (http://wiki.gpodder.org/wiki/Web_Services/API_2)

v1.0 wraps nearly every Request from the gpodder.net API except:
- Simple API Calls Downloading subscription Lists & Uploading subscription Lists
- Retrieving Subscription Changes (you should use "Retrieving Updates for a given Device" instead)

%package devel
Summary:        Qt Library that wraps the gpodder.net Web API
Group:          Development/Libraries/C and C++
Url:            http://wiki.gpodder.org/wiki/Libmygpo-qt
Requires:       libmygpo-qt1 = %{version}
Requires:       libqt4-devel >= 4.6.0

%description devel
libmygpo-qt is a Qt Library that wraps the gpodder.net Web API (http://wiki.gpodder.org/wiki/Web_Services/API_2)

v1.0 wraps nearly every Request from the gpodder.net API except:
- Simple API Calls Downloading subscription Lists & Uploading subscription Lists
- Retrieving Subscription Changes (you should use "Retrieving Updates for a given Device" instead)

%prep
%setup -q -n %{name}.%{version}

%build
  %cmake_kde4 -d build -- -DLIB_INSTALL_DIR_SUFFIX="$_kde_libsuffix"
  %make_jobs

%install
  cd build
  %make_install
  cd ..

%post -n libmygpo-qt1 -p /sbin/ldconfig

%postun -n libmygpo-qt1 -p /sbin/ldconfig

%clean
  rm -rf %{buildroot}

%files devel
%defattr(-,root,root)
%dir %{_includedir}/mygpo-qt
%{_includedir}/mygpo-qt/*
%{_libdir}/cmake/mygpo-qt/
%{_libdir}/libmygpo-qt.so
%{_libdir}/pkgconfig/libmygpo-qt.pc

%files -n libmygpo-qt1
%defattr(-,root,root)
%{_libdir}/libmygpo-qt.so.*

%changelog